{
  pkgs,
  lib,
  culr,
  version,
  ...
}:
pkgs.stdenvNoCC.mkDerivation {
  pname = "culr-tests";
  version = "${version}";

  nativebuildInputs = [culr];
  src = ./.;
  doCheck = true;
  checkPhase = ''
    CULRS="(255,0,0);(0,0,255);#00FF00"
    CULR_ORDER="1;0;2"
    echo "one two three four" | ${lib.getExe culr}
  '';
  installPhase = ''
    mkdir "$out"
  '';
}
