type colour =
  | Intrinsic of int (* _0-_7 *)
  | Simple of int (* _8;5;n *)
  | RGB of int * int * int (* _8;2;r;g;b *)

type ansi_gfx = Bg of colour | Fg of colour | Reset | Other of int

type chunk =
  | Text of string
  | Separator of string
  | Delimiter of string
  | Ansi of ansi_gfx list
  | Empty

type order =
  | Explicit of int array
  | RainbowPair
  | RainbowSplit
  | TonePair
  | Straight
  | Random
  | Default
